Bug 1270627 - report a result whenever extendtesttime.sh is run in /distribution/reservesys
report a result whenever extendtesttime.sh is run in /distribution/reservesys
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: tests (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 21.1
: ---
Assigned To: Dan Callaghan
tools-bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-11 20:57 EDT by Dan Callaghan
Modified: 2015-10-15 03:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-15 03:09:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2015-10-11 20:57:58 EDT
To make it easier to see when a reservation has been extended, and for how long, we can make extendtesttime.sh report a result every time it's run. We can record the number of seconds it has been extended for as the result score.

Alex Todorov has contributed a patch for this: http://gerrit.beaker-project.org/4427
Comment 1 Dan Callaghan 2015-10-13 02:01:10 EDT
Tagged as /distribution/reservesys 3.4-6.
Comment 3 Dan Callaghan 2015-10-13 02:26:34 EDT
Steps to verify:
1. Run a job with /distribution/reservesys (for example, use Reserve Workflow)
2. Wait for the system to be reserved, e-mail sent
3. Log in and extend the watchdog by 2 hours by running: extendtesttime.sh 2

Expected results:
In the recipe, a new result for /distribution/reservesys named "extend-test-time" appears, with the score equal to the number of hours reservation was extended by.
Comment 4 Dan Callaghan 2015-10-13 02:31:23 EDT
While trying this out on beaker-devel, I noticed that each extendtesttime.sh invocation does dmesg and AVC checking which creates new task log files. For some reason the log files are prefixed with some kind of UUID, like this:

    c8066e33-56e2-48b1-8b3b-56b336298dd4-console_dmesg--distribution-reservesys-extend-test-time.log
    c8066e33-56e2-48b1-8b3b-56b336298dd4-avc_log--distribution-reservesys-extend-test-time.log
    73933e3c-20a5-43ca-9ef9-a3a4a3da7fb2-avc_log--distribution-reservesys-extend-test-time.log

I've never seen that before, not sure where the UUID is coming from... anyway I guess it's not a big deal.
Comment 6 Dan Callaghan 2015-10-15 03:09:44 EDT
/distribution/reservesys 3.4-6 has been released.

Note You need to log in before you can comment on or make changes to this bug.